Copyright: Copyrights (c) 1998, by Season Wong


Style Progress Bar 1.0

  Style Progress Bar 1.02

Properties	Methods	Events

Style Progress Bar 1.x is an ActiveX control for use with Microsoft Visual Basic, Microsoft Visual C++ or any environment that can host ActiveX controls. Style Progress Bar allows developer to display a wonderful progress bar with graduated colors gradients in any given color. It provides selection of single block and multiple blocks. Single block acts like standard progress bar, whereas the multiple blocks generates a new style of progress bar with several bar's blocks.

Style Progress Bar 1.x ActiveX control is written in Visual C++ 5.0 with the technology of ActiveX Template Library (ATL), therefore no other additional DLLs are needed when using the control.

Style Progress Bar 1.x ActiveX control is a shareware product. Please see License Agreement for the rights of using it and Registration to get information about how to register.

Please visit http://www.polbox.com/h/heesoon to get the newest version, news and others interesting ActiveX controls or products.


Properties

(About)	(Custom)

(Name)	Appearance

BackColor	BackStyle

BlockStyle	BorderStyle

DragIcon	DragMode

EndColor	Font

ForeColor	Height

HelpContextID	Index

Left	Max

Min	NoOfBlock

ShowLabel	StartColor

TabIndex	TabStop

Tag	ToolTipText

Top	Value

Visible	WhatsThisHelp

Width	Window


Methods

AboutBox	Drag

Move	SetFocus

ShowWhatsThis	ZOrder


Events

DragDrop	DragOver

GotFocus	LostFocus


License Agreement

Style Progress Bar is not public domain software or free software. It is copyrighted, and all rights are reserved by its author: Season Wong.

As a registered user, you can use Style Progress Bar in your design environment and you have a royalty-free right to distribute executables that use it as a runtime component. Only registered users can distribute executables using Style Progress Bar.

You may copy the software to facilitate your use of it on as many computers as there are licensed users specified in the license file. Making copies for any other purpose violates international copyright laws.

The license file allows you to compile your applications with Style Progress Bar. You are not allowed to distribute the SPBar.LIC license file with any application that you distribute.

Disclaimer of Warranty:

THIS SOFTWARE AND THE ACCOMPANYING FILES ARE SOLD "AS IS"  WITHOUT WARRANTY OF ANY KIND EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.

Good data processing procedure dictates that any program be thoroughly tested with non-critical data before relying on it. The user must assume the entire risk of using the program.

Your use of this product indicates that you have read and agreed to these terms.


Registration

The unit price for Style Progress Bar 1.x is US $19.90. Site license for Style Progress Bar 1.x is US $299.00, and world-wide license is US $499.00.

(Notes: Site license cover a single organization for an area of up to one hundred miles (160 km) in radius. A world-wide license covers everyone in a single organization.)

After you have registered, you will receive a registration code that you can enter by clicking the Register button in the About dialog box.  And you can distribute the ActiveX control with your applications to your customers.

You can register Style Progress Bar at "http://www.polbox.com/h/heesoon/register.html". As soon as I receive notification of your registration (usually 2 - 4 days) I will send you registration code via e-Mail.

If you have not receive any information two weeks after you send the order, please contact "season.sales@technologist.com".

Any problems, questions, complaints, please contact "season.support@technologist.com".


(About) Property

Properties	Methods	Events

The (About) property will invoke the Style Progress Bar About box dialog from within the development environment.  This dialog is used to display the control's registration information.

Notes :

The About box dialog will be displayed each time the Style Progress Bar control instance is created until the control is registered with the license file (SPBar.lic).


(Custom) Property

Properties	Methods	Events

The (Custom) property will load the Properties Page dialog box.  This dialog is used to change the color and font properties that used within the control display.

See Also

BackColor

Font

ForeColor

StartColor

EndColor


Appearance Property

Properties	Methods	Events

Specifies the appearance of the control display - either 3D or Flat.

Type

Integer

Enumeration

0	eAppearance_Flat

1	eAppearance_3D

Default

eAppearance_3D

Example

SPBar1.Appearance = eAppearance_Flat


BackColor Property

Properties	Methods	Events

Specifies the background color of the progress bar.

Type

Long

Default

&HC0C0C0 (Gray)

Example

SPBar1.BackColor = &HC0FFFF


BackStyle Property

Properties	Methods	Events

Specifies the background style to be displayed - either Transparent or Opaque.

Type

Integer

Enumeration

0	eBackStyle_Transparent

1	eBackStyle_Opaque

Default

eBackStyle_Opaque

Example

SPBar1.BackStyle = eBackStyle_Transparent


BlockStyle Property

Properties	Methods	Events

Specifies the block style of the progress bar - either Single block or Multiple blocks. Total number of blocks can be specified by NoOfBlock property.

Type

Integer

Enumeration

0	eBlockStyle_Single

1	eBlockStyle_Multiple

Default

eBlockStyle_Single

Example

SPBar1.BlockStyle = eBlockStyle_Multiple

See Also

NoOfBlock


BorderStyle Property

Properties	Methods	Events

Specifies the style of the border to be displayed around the control - either None or Fixed Single. If Fixed Single is selected, then the outlook of the border will be determined by property Appearance.

Type

Integer

Enumeration

0	eBorderStyle_None

1	eBorderStyle_FixedSingle

Default

eBorderStyle_FixedSingle

Example

SPBar1.BorderStyle = eBorderStyle_None

See Also

Appearance


EndColor Property

Properties	Methods	Events

Specifies the end gradient color of the progress indicator used within the control. If the progress indicator used only one solid color, therefore end color must be the same color with Start Color.

Type

Long

Default

&H0000FF (Blue)

Example

SPBar1.EndColor = &HC0FFFF

See Also

Start Color


Font Property

Properties	Methods	Events

Specifies the font to be used to display the control's percentage label. You can also set the effects (bold, italic, underline, strikeout) and size for the selected font.


ForeColor Property

Properties	Methods	Events

Specifies the foreground text color of percentage label on progress bar.

Type

Long

Default

&H000000 (Black)

Example

SPBar1.ForeColor = &HC0FFFF


Max Property

Properties	Methods	Events

Specifies maximum value of the progress range.

Type

Integer

Default

100

Example

SPBar1.Max = 200

See Also

Min

Value


Min Property

Properties	Methods	Events

Specifies minimum value of the progress range.

Type

Integer

Default

0

Example

SPBar1.Min = 10

See Also

Max

Value


NoOfBlock Property

Properties	Methods	Events

Specifies number of block in the progress bar.

Type

Integer

Default

1

Example

SPBar1.NoOfBlock = 20

See Also

BlockStyle


ShowLabel Property

Properties	Methods	Events

Specifies whether centered percentage label is shown or not. The color of percentage label is determined by ForeColor property.

Type

Integer

Enumeration

0	eShowLabel_True

1	eShowLabel_False

Default

eShowLabel_True

Example

SPBar1.ShowLabel = eShowLabel_False

See Also

ForeColor


StartColor Property

Properties	Methods	Events

Specifies the beginning gradient color of the progress indicator used within the control. If the progress indicator used only one solid color, therefore start color must be the same color with End Color.

Type

Long

Default

&H0000FF (Blue)

Example

SPBar1.StartColor = &HC0FFFF

See Also

End Color


Value Property

Properties	Methods	Events

Specifies current value of the progress range.

Type

Integer

Default

0

Example

SPBar1.Value = 50

See Also

Max

Min


AboutBox Method

Properties	Methods	Events

The AboutBox method will invoke the Style Progress Bar About box dialog. This dialog is used to display the control's registration information.

Example

SPBar1.AboutBox